class_name UI
extends CanvasLayer


@onready var crosshair: CenterContainer = $Crosshair
@onready var options_menu: MarginContainer = $OptionsMenu
@onready var quick_slots: MarginContainer = $QuickSlots
@onready var waila: Waila = $Waila


func _process(_delta: float) -> void:
	if Input.is_action_just_pressed("ui_cancel"):
		toggle_options_menu()


func toggle_options_menu() -> void:
	options_menu.visible = !options_menu.visible
	Globals.is_options_menu_active = options_menu.visible
	crosshair.visible = !options_menu.visible
	quick_slots.visible = !options_menu.visible

	if options_menu.visible:
		waila.visible = false
		Input.mouse_mode = Input.MOUSE_MODE_VISIBLE
	else:
		Input.mouse_mode = Input.MOUSE_MODE_CAPTURED


# Options
func _on_block_highlights_toggled(toggled_on: bool) -> void:
	Globals.enable_block_highlight = toggled_on

func _on_waila_toggled(toggled_on: bool) -> void:
	Globals.enable_waila = toggled_on


# Signals
func _on_close_button_pressed() -> void:
	toggle_options_menu()

func _on_exit_button_pressed() -> void:
	get_tree().quit()
